Get radio spins

Available radios on Soundcharts are listed in the Get radios endpoint.

All “airedAt” times are in UTC.

Don't know the artist UUID yet? Use the Get artist by platform ID or Search artist by name endpoints.

Request

GET /api/v2/artist/{uuid}/broadcasts

Path parameters

Parameter Value Description Additional
uuid string An artist UUID Required

Query string parameters

Parameter Value Description Additional
radioSlugs string Optional radio slugs filter (comma separated) Optional
countryCode string Optional country code filter (2 letters ISO 3166-2, full list on https://en.wikipedia.org/wiki/ISO_3166-2) Optional
startDate string Optional period start date (format YYYY-MM-DD). If not provided, the start date defaults to 30 days before the end date. Optional
endDate string Optional period end date (format YYYY-MM-DD) Optional
offset integer Get results starting from position Optional
limit integer Number of results (max. 100) Optional

Response

Code Description Resource
200 OK

A Broadcast Collection response

Broadcast Collection
400 Bad Request

Invalid request

401 Unauthorized

You are not logged in

403 Forbidden

This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access.

404 Not Found

Artist not found

Explore

An artist UUID

Optional radio slugs filter (comma separated)

Optional country code filter (2 letters ISO 3166-2, full list on https://en.wikipedia.org/wiki/ISO_3166-2)

Optional period start date (format YYYY-MM-DD). If not provided, the start date defaults to 30 days before the end date.

Optional period end date (format YYYY-MM-DD)

Get results starting from position

Number of results (max. 100)

Try it out